﻿local LOCALE_STRINGS = {
	PAGE_NAME = {
		["enUS"] = "Scale Everything",
		["enGB"] = "Scale Everything",
		["deDE"] = "Scale Everything",
	},
	PAGE_DESCRIPTION = {
		["enUS"] = "Use these sliders below to scale your interface, or check the buttons to drag the interface elemenets around|nUse /se <framename> to add a interface element to this list",
		["enGB"] = "Use these sliders below to scale your interface, or check the buttons to drag the interface elemenets around|nUse /se <framename> to add a interface element to this list",
		["deDE"] = "Verwende die unteren Regler um das Interface zu skalieren, oder verwende die Kontrollkächen um Interfaceelemente mit der Maus zu verschieben.|nVerwende /se <framename> um jenes Interfaceelement der liste hinzu zufügen.",
	},
	TOOLTIP_SCALE = {
		["enUS"] = "%s is scaled to %i%%",
		["enGB"] = "%s is scaled to %i%%",
		["deDE"] = "%s ist auf %i%% skaliert"
	},
	TOOLTIP_REMOVE = {
		["enUS"] = "Click here to remove %s from this List",
		["enGB"] = "Click here to remove %s from this List",
		["enUS"] = "Hier klicken um %s von dieser Liste zu entfernen",
		
	},
	TOOLTIP_DRAG = {
		["enUS"] = "drag %s with your right mouse button down|nRightclick to reset the position",
		["enGB"] = "drag %s with your right mouse button down|nRightclick to reset the position",
		["deDE"] = "%s mit rechter Maustaste verschieben|nMit Rechtsklick die Position zurücksetzen",
	},
	TOOLTIP_NODRAG  = {
		["enUS"] = "Click here to enable mouse dragging on %s|nRightclick to reset the position",
		["enGB"] = "Click here to enable mouse dragging on %s|nRightclick to reset the position",
		["deDE"] = "Hier klicken um %s verschieben zu können|nMit Rechtsklick die Position zurücksetzen",
	},
	ENABLE_DRAG = {
		["enUS"] = "Unlock",
		["enGB"] = "Unlock",
		["deDE"] = "Entsperren",
	},
	SUCCESSFULLY_ADDED = {
		["enUS"] = "%s has been successfully added.",
		["enGB"] = "%s has been successfully added.",
		["deDE"] = "%s erfolgreich der Liste hinzugefügt.",
	},
	HELP = {
		["enUS"] = "Use /se <framename> to enable scaling and mousedragging of this frame.",
		["enGB"] = "Use /se <framename> to enable scaling and mousedragging of this frame.",
		["deDE"] = "Verwende /se <framename> um jenes Frame skalieren oder verschieben zu können.",
	},
	SUCCESS = {
		["enUS"] = "frame %s has been successfully added",
		["enGB"] = "frame %s has been successfully added",
		["deDE"] = "%s wurde erfolgreich hinzugefügt",
	},
	FAILED = {
		["enUS"] = "%s is not a frame",
		["enGB"] = "%s is not a frame",
		["deDE"] = "%s ist kein Frame",
	},
	ADVANCED_PAGE_NAME = {
		["enUS"] = "Advanced",
		["enGB"] = "Advanced",
		["deDE"] = "Erweitert",
	},
	ADVANCED_PAGE_DESCRIPTION = {
		["enUS"] = "This page allows you to fine modify interfacelements",
		["enGB"] = "This page allows you to fine modify interfacelements",
		["deDE"] = "Diese Seite enthält Optionen welche Elemente feiner manipulieren können.",
	},
	ADVANCED_PAGE_ACCEPT = {
		["enUS"] = "manipulate",
		["enGB"] = "manipulate",
		["deDE"] = "manipulieren",
	},
}

function SE_GetLocaleString(locale)
	return ((LOCALE_STRINGS[locale][GetLocale()]) or (LOCALE_STRINGS[locale]["enUS"]) or ("Unkown"))
end 